# Gbase8s 学习笔记1

## 1.客户端工具dbaccess

dbaccess是GBase8s提供的一个命令行客户端工具。。嗯，使用起来的话，稍微有一些奇怪，一下子并不是很适应。不过，慢慢就好了。

支持的四种模式：

- 交互模式：
  - 菜单交互模式：提供一个奇怪的交互模式，不喜欢。。
  - 指令交互模式： 和其他数据库命令行类似那种。
    - Demo ： `dbaccess 数据库名 - `,
      - 第一个参数指数据库，如果为-时候，表示未选择数据库，后面可以自己选择
      - 第二个参数固定为 - ，表示输入为标准输入 STDIN
- 非交互模式：
  - 管道模式： 接受标准输入中的sql，然后执行。
    - Demo：`echo "select * from dual;" | dbaccess mydb(数据库)
  - 脚本模式：将SQL保存到文件，然后通过dbaccess进行执行。
    - Demo： `dbaccess mydb mysql.txt`



### 1.1 dbaccess配置

可以通过将一些配置写入环境变量来调整dbaccess的展示。



| 配置                                  | 功能                                                         | 备注 |
| ------------------------------------- | ------------------------------------------------------------ | ---- |
| ` export DBFLTMASK=3`                 | 默认会显示浮点数的小数位数，这个参数可以调整显示的位数       |      |
| `export DBEDIT=vi`                    | 设置默认编辑器                                               |      |
| `export DBMOBEY=“[front][.|,][back]”` | 调整money数据类型的展示，默认会根据本地化设置，显示货币信息。 |      |
| ` export GL_DATE="%iY-%m-%d"`         | 设置date数据类型展示格式                                     |      |
| `export DBACCESS_SHOW_TIME=1`         | 显示SQL执行时间                                              |      |

### 1.2 关于Gbase8s的客户端工具

嗯，其实并不是很习惯直接使用命令行工具。大多数的时候，我们都希望有一个类似DBeaver，Navicat等等的工具。通过一番打听，好像很多工具都还没有支持Gbase8s。不过官方目前正在开发一个工具，叫GbaseDataStudio。目前csdn有一些付费下载的连接，不过我没有币。后来巴拉巴拉，还是找到了，这里提供了一个下载地址：

> GBaseDataStudio_8.5.23.0_2_Windows_X86_64.zip
>
> 链接:https://www.123pan.com/s/6fiA-kGRKv 提取码:LUmJ

(还有其他平台的版本，mac，linux，不过这里没有上传，需要的，可以给我留言。)

>  GBaseDataStudio管理工具手册.pdf
>
> 链接: https://www.123pan.com/s/6fiA-EGRKv 提取码: KJYo

![image-20211114191803986](C:\Users\Administrator\AppData\Roaming\Typora\typora-user-images\image-20211114191803986.png)







还有一个办法，其实就是用DBeaver工具，新建一个数据库驱动。然后以JDBC的方式去连接数据库。（官方的工具，好像也是基于开源的DBeaver工具改出来的）不过目前还没有弄明白，如果后面找到方法后，再补上。



## SQL指南

