# 常用管理员命令

[toc]

## gserver



| 命令             | 说明                        |
| ---------------- | --------------------------- |
| gserver init     | 初始化根 dbspace 的磁盘空间 |
| gserver start    | 启动数据库到在线模式下      |
| gserver stop     | 停止数据库                  |
| gserver shutdown | 停止数据库，并清理共享内存  |

## gadmin

|命令	|说明|
| ---------------- | --------------------------- |
|gadmin -m	|将数据库服务器从静态模式或单用户模式，切换为在线模式
|gadmin -k	|完全关闭数据库
|gadmin -s	|以优雅地方式关闭数据库服务器，切换到静态模式
|gadmin -u	|立即关闭数据库服务器，切换到静态模式
|gadmin -j	|使数据库服务器进入单用户方式
|gadmin -l	|切换逻辑日志文件
|gadmin -c	|强制执行检查点
|gadmin -r	|开始共享内存的常驻部分的强制驻留
|gadmin -n	|结束共享内存的常驻部分的强制驻留
|gadmin -p	|添加或删除虚拟管理器
|gadmin -P	|动态地启动、停止或重启监听线程
|gadmin -wf	|更新 onconfig 文件中指定配置参数的值
|gadmin -wm	|动态设置内存中指定配置参数的值
|gadmin -z	|终止数据库服务器会话

## gstat

| 命令     | 说明                              |
| -------- | --------------------------------- |
| gstat -  | 打印数据库当前运行模式            |
| gstat -c | 打印onconfig文件内容              |
| gstat -m | 打印系统在线日志最新信息          |
| gstat -l | 打印物理日志和逻辑日志使用状态    |
| gstat -d | 打印数据库空间和Chunk文件使用信息 |
| gstat -D | 打印数据库空间和Chunk文件读写信息 |
| gstat -t | 打印表空间信息                    |
| gstat -T | 打印表空间信息                    |
| gstat -k | 打印锁信息                        |
| gstat -p | 打印系统运行状态统计              |
| gstat -r | 重复运行命令                      |
| gstat -u | 打印用户线程                      |
| gstat -x | 打印事务                          |

