# Gbase8s日期格式表

| 格式化符 | 说明                                      |
| -------- | ----------------------------------------- |
| %a       | 星期的短格式表示                          |
| %A       | 星期的完整格式表示                        |
| %b       | 月份的短格式表示                          |
| %B       | 月份的完整格式表示                        |
| %C       | 世纪的表示，通常是年值除以100后的整数部分 |
| %d       | 天(01-31)                                 |
| %D       | 相当于格式：%m/%d/%y                      |
| %e       | 天(1-31)                                  |
| %h       | 和%b相同                                  |
| %H       | 小时(00-24)                               |
| %iy      | 两位年(00-99)                             |
| %iY      | 四位年(0000-9999)                         |
| %m       | 月(01-12)                                 |
| %M       | 分钟(00-59)                               |
| %n       | 换行符                                    |
| %S       | 秒(00-59)                                 |
| %t       | 制表符                                    |
| %w       | 星期的数字表示(0-6)                       |
| %y       | 两位年(00-99)                             |
| %Y       | 四位年(0000-9999)                         |