-- DDL
-- ## 数据库
CREATE database IF NOT EXISTS test_db IN datadbs WITH log;
-- 重命名数据库：需要先切换到其他库，才可以重命名或删除当前的库
RENAME database test_db TO myDB;

DROP database IF EXISTS test_db;

-- 切换到某个数据库
database mydb;

-- 创建表
CREATE TABLE IF NOT EXISTS t_user(
user_id int,
user_name VARCHAR(20)
);
-- 重命名表
RENAME TABLE t_user TO u_user;
-- 删除表
DROP TABLE IF EXISTS u_user;

-- 列：新增、删除、修改
ALTER TABLE u_user ADD (password varchar(100));
-- 重命名
RENAME COLUMN u_user.user_id TO id;

ALTER TABLE u_user DROP (password);



--- 视图

CREATE VIEW IF NOT EXISTS v_tmp AS
SELECT USER_name FROM u_user;