# Gbase8s常用函数

[toc]





## 数学函数

| 函数  | 说明                   |
| ----- | ---------------------- |
| abs   | 返回绝对值             |
| ceil  | 返回大于参数的数值     |
| floor | 返回小于参数的数值     |
| round | 返回参数的四舍五入数值 |
| mod   | 返回第一个参数的模     |
| pow   | 计算数值的N次方        |
| sqrt  | 计算平方根             |
| root  | 计算数值的N次方根      |
| exp   | 计算指数               |
| ln    | 计算自然对数           |
| logn  | 计算自然对数           |
| log10 | 计算以10为底的对数     |
| sin   | 计算正弦值             |
| cos   | 计算余弦值             |

## 字符串函数

| 函数            | 说明                                           |
| --------------- | ---------------------------------------------- |
| CONCAT          | 字符串拼接                                     |
| TRIM            | 从字符串的开头或结尾移除指定字符               |
| LTRIM           | 从字符串的开头移除指定字符                     |
| RTRIM           | 从字符串的结尾移除指定字符                     |
| SUBSTR          | 截取字符串                                     |
| SUBSTRB         | 截取字符串                                     |
| SUBSTRING       | 截取字符串                                     |
| INSTR           | 返回字符串中指定子串的开始位置                 |
| ASCII           | 返回字符串第一个字符的编码                     |
| REPLACE         | 替换字符串中的部分内容                         |
| UPPER           | 将字符串的字母转成大写                         |
| LOWER           | 将字符串的字母转成小写                         |
| LENGTH          | 返回字符串的长度                               |
| OCTET\_LENGTH   | 返回字符串的长度                               |
| CHAR\_LENGTH    | 返回字符串的长度                               |
| REGEXP\_REPLACE | 使用正则表达式方式替换字符串中的内容           |
| REGEXP\_SUBSTR  | 使用正则表达式方式替换字符串中的内容           |
| REGEXT\_INSTR   | 计算字符串中指定正则表达式定义的字符串所在位置 |

## 日期函数

| 函数            | 说明 |
| --------------- | ---- |
| sysdate         |      |
| current         |      |
| today           |      |
| last_day        |      |
| year/month/day  |      |
| weekday/quarter |      |
| add_month       |      |
| to_date         |      |
| to_char         |      |



## 聚合函数

| 函数                  | 说明 |
| --------------------- | ---- |
| max,min,count,sum,avg |      |
| wm_concat             |      |
|                       |      |



## 窗口函数

| 函数                   | 说明 |
| ---------------------- | ---- |
| row_number /rownumber  |      |
| rank / dense_rank      |      |
| first_value/last_value |      |
| max/min                |      |
| sum/avg/count          |      |
| LAG/LEAD               |      |
|                        |      |



## 其他函数

| 函数        | 说明         |
| ----------- | ------------ |
| dbinfo      |              |
| nvl2        |              |
| hex         |              |
| getHzFullPY | 获取汉字拼音 |
|             |              |

